Skip to main content

GetBrokerage

POST

Get SR brokerage ratio (Confirmed state)
Path Parameters
chainstringrequired
Parameter specifying the target chain to query.
networkstringrequired
Parameter specifying the network of the target chain.
Request Body
addressstringrequired
Super Representative (SR) account address. (Format: Base58 or Hex). Example: TGj1Ej1qRzL9feLTLhjwgxXF4Ct6GTWg2U
visibleboolean
Optional. Set to true to format addresses in Base58; set to false for hex format. (Default: false)
Responses
brokerageinteger
Dividend ratio, from 0 to 100, 1 represents 1%.
codestringrequired
Code identifying the cause of the failed request.
messagestringrequired
Detailed message including the name and value of the invalid parameter.
{
"code": "ERROR_CODE",
"message": "400"
}
cURL
curl -X POST 'https://tron-mainnet.nodit.io/walletsolidity/getBrokerage' \
-H 'Content-Type: application/json' \
-H 'X-API-KEY: nodit-demo' \
-d '{
"address": "TGj1Ej1qRzL9feLTLhjwgxXF4Ct6GTWg2U"
}'